import path_setting
from in_common.base_request import BaseRequest


class polymerization_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.POLYMERIZATION_CONFIG)

    def content(self, tabtype, category_polymer_id, page, tag_ids, operation_id, level, device_id, current_city_id, version):

        self.params["tabtype"] = tabtype
        self.params["category_polymer_id"] = category_polymer_id
        self.params["page"] = page
        self.params["tag_ids"] = tag_ids
        self.params["operation_id"] = operation_id
        self.params["level"] = level
        self.params["device_id"] = device_id
        self.params["current_city_id"] = current_city_id
        self.params["version"] = version

        return self.api_send(self.data["content"])



if __name__ == '__main__':

    print(polymerization_request().content("home_video", "39", "1", "[3239, 3242, 3243, 3245, 3246, 3247, 3248, 3275, 3277, 3278, 3279, 3289, 3309]", "12", "1", "869378034450718", "beijing", "7.45.0"))
